#!/bin/bash
#
if [ "$0" != "./run_create_Keystore.sh" ]; then
  clear
  echo "[i] Please, this script must be executed without absolute path, excute it as ./run_create_Keystore.sh from its owned directory"
  exit 1
fi
# Check custom settings
if [ ! -e ../settings.custom ]; then
 clear
 echo "[i] ../settings.custom does not exist, please"
 echo "[i] this file is necesary to use ths script"
 exit 1
fi
source ../settings.custom
docker exec -it ${KIUWAN_HOST} ${KIUWAN_VOL}/koptools/create_Keystore.sh
if [ ! "$?" = "0" ]; then
  echo "[i] It has had an error to create keystore in container"
  exit 1
fi
