#!/bin/bash
# Vaciar memoria de redis
  
RedisHostMaster=${RedisHostMaster:=127.0.0.1}
RedisPortMaster=${RedisPortMaster:=6379}
# %
LimitMemorUsedToEmpty=90
MemoryUsed=${MemoryUsed:=0}
MemoryUsedPcto=${MemoryUsedPcto:=0}

# RedisConfigFile=`redis-cli -h ${RedisHostMaster} -p ${RedisPortMaster} info | awk -F "config_file:" '{ print $2}'`
MaxMemoyConfig=`redis-cli -h ${RedisHostMaster} -p ${RedisPortMaster} config get maxmemory | tail -n1`
MaxMemoyConfig=`/bin/echo ${MaxMemoyConfig} | /bin/sed -e 's/^[ \t\n]*//'`
MaxMemoyConfig=`/bin/echo ${MaxMemoyConfig} | /bin/sed -e 's/[ \t\n]*$//'`
MemoryUsed=`redis-cli -h ${RedisHostMaster} -p ${RedisPortMaster} info | grep "used_memory:"`
MemoryUsed=`echo ${MemoryUsed} | awk -F "used_memory:" '{ print $2}'`
MemoryUsed=`/bin/echo ${MemoryUsed} | /bin/sed -e 's/^[ \t\n]*//'`
MemoryUsed=`/bin/echo ${MemoryUsed} | /bin/sed -e 's/[ \t\n\r]*$//'`
MemoryUsedPcto=`echo "${MemoryUsed} *  100 / ${MaxMemoyConfig}" | bc -l`
# Redondea
MemoryUsedPcto=`echo ${MemoryUsedPcto} | awk '{printf "%.0f", $1}'`
# Nos quedamos con el entero
# MemoryUsedPcto=`echo ${MemoryUsedPcto} | awk '{printf "%d", $1}'`
if [ ${MemoryUsedPcto} -ge ${LimitMemorUsedToEmpty} ]; then
  redis-cli -h ${RedisHostMaster} -p ${RedisPortMaster} info > /var/log/redis/bigkeys.log
  redis-cli -h ${RedisHostMaster} -p ${RedisPortMaster} --bigkeys >> /var/log/redis/bigkeys.log
  redis-cli -h ${RedisHostMaster} -p ${RedisPortMaster} keys *hibernate* | sed 's/.*/"&"/' | xargs redis-cli -h ${RedisHostMaster} -p ${RedisPortMaster} del
  redis-cli -h ${RedisHostMaster} -p ${RedisPortMaster} keys */v1/* | sed 's/.*/"&"/' | xargs redis-cli -h ${RedisHostMaster} -p ${RedisPortMaster} del  
fi

