#!/bin/bash
KIUWAN_VOL=
#
NOW=`date +%Y-%m-%d_%Hh%m%Ss`

STATUS=`supervisorctl status wildfly | awk '{print $2}'`
if [ "${STATUS}" = "RUNNING" ]; then
 supervisorctl stop wildfly
 sleep 5
fi

STATUS=`supervisorctl status wildfly | awk '{print $2}'`
if [ ! "${STATUS}" = "STOPPED" ]; then
 echo "[i] Wildfly service isn't stopped, we can't redeploy Kiuwan."
 exit 1
fi

mv ${KIUWAN_VOL}/logs/wildfly/wildfly_out.log ${KIUWAN_VOL}/logs/wildfly/wildfly_out.log.${NOW}
${KIUWAN_VOL}/koptools/deployKiuwan.sh
supervisorctl start wildfly
sleep 10
/bin/sh -c "/usr/bin/tail -n -1 -f ${KIUWAN_VOL}/logs/wildfly/wildfly_out.log | { /bin/sed '/started in/ q' && /usr/bin/killall tail ;}"
